console.log('Content-Script: ready for', window.location.host);

window.addEventListener('message', event => {
  if (event.data.type !== 'outreach-external-dial-init') {
    return;
  }

  const { callId } = event.data;

  // Let Outreach know that you've acknowledged the message.
  window.postMessage({
    type: 'outreach-external-dial-ack',

    // Include the same call ID so that Outreach can match your `-ack` messages.
    callId,
  }, window.location.origin);

  // Your custom logic.
  console.log(`Content-Script: ACK callId: ${callId}`);

  void customLogic({ callId });
});

async function customLogic({ callId }) {
  console.log('Content-Script: Dial attempt success');
}
